Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMesaTexture Class Reference

`#include <vtkMesaTexture.h>`

Inheritance diagram for vtkMesaTexture:

[legend]
Collaboration diagram for vtkMesaTexture:

[legend]
List of all members.

## Detailed Description

Mesa texture map.

Date:
  2002/08/22 18:39:30

Revision:
  1.12

vtkMesaTexture is a concrete implementation of the abstract class vtkTexture. vtkMesaTexture interfaces to the Mesa rendering library.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (63%)
  - Hoffman, Bill (29%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkMesaTexture.cxx)`
  - .`h` (`/Rendering/vtkMesaTexture.h)`

Definition at line 46 of file vtkMesaTexture.h.

## Public Types
typedef vtkTexture | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | Load (vtkRenderer *ren)
void | ReleaseGraphicsResources (vtkWindow *)
## Static Public Methods
vtkMesaTexture * | New ()
int | IsTypeOf (const char *type)
vtkMesaTexture * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMesaTexture ()
| ~vtkMesaTexture ()
unsigned char * | ResampleToPowerOfTwo (int &xsize, int &ysize, unsigned char *dptr, int bpp)
## Protected Attributes
vtkTimeStamp | LoadTime
long | Index
vtkRenderWindow * | RenderWindow
## Static Protected Attributes
long | GlobalIndex

## Member Typedef Documentation

typedef vtkTexture vtkMesaTexture::Superclass

| Reimplemented from vtkTexture. Definition at line 50 of file vtkMesaTexture.h.

## Constructor & Destructor Documentation

vtkMesaTexture::vtkMesaTexture | ( |  | ) | `[protected]`

vtkMesaTexture::~vtkMesaTexture | ( |  | ) | `[protected]`

## Member Function Documentation

vtkMesaTexture* vtkMesaTexture::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkTexture.

virtual const char* vtkMesaTexture::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkTexture.

int vtkMesaTexture::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkTexture.

virtual int vtkMesaTexture::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkTexture.

vtkMesaTexture* vtkMesaTexture::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkTexture.

virtual void vtkMesaTexture::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkTexture.

void vtkMesaTexture::Load | ( | vtkRenderer * | ren | ) | `[virtual]`

| Implement base class method. Reimplemented from vtkTexture.

void vtkMesaTexture::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| Release any graphics resources that are being consumed by this texture. The parameter window could be used to determine which graphic resources to release. Using the same texture object in multiple render windows is NOT currently supported. Reimplemented from vtkTexture.

unsigned char* vtkMesaTexture::ResampleToPowerOfTwo | ( | int & | xsize,
|  | int & | ysize,
|  | unsigned char * | dptr,
|  | int | bpp
| ) | `[protected]`

## Member Data Documentation

vtkTimeStamp vtkMesaTexture::LoadTime`[protected]`

| Definition at line 69 of file vtkMesaTexture.h.

long vtkMesaTexture::Index`[protected]`

| Definition at line 70 of file vtkMesaTexture.h.

long vtkMesaTexture::GlobalIndex`[static, protected]`

| Definition at line 71 of file vtkMesaTexture.h.

vtkRenderWindow* vtkMesaTexture::RenderWindow`[protected]`

| Definition at line 72 of file vtkMesaTexture.h.

The documentation for this class was generated from the following file:

- Rendering/vtkMesaTexture.h